package com.idea.customerManagement.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class IntentionalDeposit implements Serializable {
    private String id;

    private String groupId;

    private String discId;

    private String houseId;

    private String customerManagementId;

    private BigDecimal receivableMoney;

    private BigDecimal receivedAmount;

    private Integer paymentMethod;

    private String serialNumber;

    private String depositSerialNumber;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date collectionTime;

    private String createdId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createdAt;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updatedAt;

    private String updatedId;

    private String handleId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date handleDate;

    private String refundHandleId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date refundHandleDate;

    private String remark;

    private String depositRemark;

    private String refundRemark;

    private String fileList;

    private String paperReceipts;

    private Integer status;

    private BigDecimal refundMoney;

    private String houseName;

    private Integer ncSubmitStatus;

    private Date ncSubmitDate;

    private String ncSubmitName;

    private String ncJson;

    private String bankName;

    private String bankBranchName;

    private String bankNumber;

}