package com.idea.oa.apply.mapper;

import com.idea.oa.apply.model.inout.ApplyAddWorkIn;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public interface ApplyAddWorkExtendMapper {
    @Select("SELECT flow_main_push.id AS flowMainPushId,frame_user.truename AS createdByString,flow_main_push.flow_main_id AS flowMainId,apply_add_work.*FROM flow_main_push LEFT JOIN apply_add_work ON apply_add_work.id=flow_main_push.form_id LEFT JOIN frame_user ON frame_user.id=apply_add_work.created_by WHERE flow_main_push.id=#{flowMainPushId}")
    ApplyAddWorkIn getInfoByFlowMainPushId(String flowMainPushId);

    @Select("SELECT flow_main.id AS flowMainId,frame_user.truename AS createdByString,apply_add_work.*FROM flow_main LEFT JOIN apply_add_work ON apply_add_work.id=flow_main.form_id LEFT JOIN frame_user ON frame_user.id=apply_add_work.created_by WHERE flow_main.id=#{flowMainId}")
    ApplyAddWorkIn getInfoByFlowMainId(String flowMainId);



//    frame_user.posts,frame_post.post_name,frame_user.id,frame_user.truename,frame_user.department,sys_dept.dept_name as deptName
    @Select("SELECT frame_user.posts,frame_post.post_name as postName,frame_user.id,frame_user.truename,frame_user.department,sys_dept.dept_name as deptName  FROM frame_user LEFT JOIN sys_dept ON sys_dept.id=frame_user.department LEFT JOIN frame_post ON frame_post.id=frame_user.posts WHERE frame_user.id=#{userId}")
    Map<String, Object> getUserInfoByUserId(@Param("userId")  String userId);

}