package com.idea.oa.flow2.model;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

public class FlowMain implements Serializable {

    @ApiModelProperty(value = "主表id")
    private String id;
    @ApiModelProperty(value = "主题")
    private String applyTheme;

    private String formId;

    private String applyUser;

    private String deptId;
    private Integer flowResult;
    private Integer flowStatus;

    private String ccList;
    @ApiModelProperty(value = "流程名称")
    private String flowName;
    @ApiModelProperty(value = "流程类型/名称(off_work请假申请;paymen付款申请;use_money费用报支")
    private String flowType;

    private String flowPost;

    private String flowId;

    private String taskId;

    private Integer returnStatus;

    private String lastMainLogId;

    private String conditionMap;

    private Integer status;

    private String createdBy;
    @ApiModelProperty(value = "申请时间")
    private Date createdAt;

    private String updatedBy;

    private Date updatedAt;

    private String groupId;

    private String remark;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getApplyTheme() {
        return applyTheme;
    }

    public Integer getFlowResult() {
        return flowResult;
    }

    public void setFlowResult(Integer flowResult) {
        this.flowResult = flowResult;
    }

    public void setApplyTheme(String applyTheme) {
        this.applyTheme = applyTheme == null ? null : applyTheme.trim();
    }

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId == null ? null : formId.trim();
    }

    public String getApplyUser() {
        return applyUser;
    }

    public void setApplyUser(String applyUser) {
        this.applyUser = applyUser == null ? null : applyUser.trim();
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId == null ? null : deptId.trim();
    }

    public Integer getFlowStatus() {
        return flowStatus;
    }

    public void setFlowStatus(Integer flowStatus) {
        this.flowStatus = flowStatus;
    }

    public String getCcList() {
        return ccList;
    }

    public void setCcList(String ccList) {
        this.ccList = ccList == null ? null : ccList.trim();
    }

    public String getFlowName() {
        return flowName;
    }

    public void setFlowName(String flowName) {
        this.flowName = flowName == null ? null : flowName.trim();
    }

    public String getFlowType() {
        return flowType;
    }

    public void setFlowType(String flowType) {
        this.flowType = flowType == null ? null : flowType.trim();
    }

    public String getFlowPost() {
        return flowPost;
    }

    public void setFlowPost(String flowPost) {
        this.flowPost = flowPost == null ? null : flowPost.trim();
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId == null ? null : flowId.trim();
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }

    public Integer getReturnStatus() {
        return returnStatus;
    }

    public void setReturnStatus(Integer returnStatus) {
        this.returnStatus = returnStatus;
    }

    public String getLastMainLogId() {
        return lastMainLogId;
    }

    public void setLastMainLogId(String lastMainLogId) {
        this.lastMainLogId = lastMainLogId == null ? null : lastMainLogId.trim();
    }

    public String getConditionMap() {
        return conditionMap;
    }

    public void setConditionMap(String conditionMap) {
        this.conditionMap = conditionMap == null ? null : conditionMap.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId == null ? null : groupId.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}