package com.idea.oa.searchuser;

import com.rockstar.common.base.BaseController;
import com.rockstar.shiro.util.ShiroUtils;
import com.rockstar.util.ResponseUtil;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * 2021.7.15
 */
@Controller
@RequestMapping(value = "FrameExclusiveUserController")
@Api(value="用户页面专属配置")
public class FrameExclusiveUserController extends BaseController {

    //主表
    @Autowired
    private FrameExclusiveUserService modelService;


    @Autowired
    private FrameRoleDataUserExtendService frameRoleDataUserExtendService;


    @PostMapping(value = "getUserListGroupType",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object getUserListGroupType(String groupType,String groupId) {
//        if(!frameRoleDataUserExtendService.userHasRole(ShiroUtils.getUserId(),"GROUPCG")){
//            groupId = ShiroUtils.getUser().getGroupId();
//        }
        groupId=null;
        return ResponseUtil.ok(modelService.getUserListGroupType(groupType,groupId));
    }

    @PostMapping(value = "getBizUserList",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object getBizUserList() {
        return ResponseUtil.ok(modelService.getBizUserList());
    }

    @PostMapping(value = "getUserBranch",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object getUserBranch() {
        return ResponseUtil.ok(modelService.getUserBranch(ShiroUtils.getUserId()));
    }
}
