package com.idea.workPanel.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class ParkWaitRead implements Serializable {
    private String id;

    private Integer readType;

    private String title;

    private String srcUserId;

    private Integer srcUserType;

    private String srcUserName;

    private String receiveUserId;

    private String routeUrl;

    private String routeParam;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createdAt;

    private String createBy;


}